Skip to main content

Retrieve a list of mileage check-ins for a vehicle

GET 

/api/vehicles/:vehicleId/checkins/mileage

Retrieve a list of all mileage check-ins for the given vehicle. If the caller does not have access to the vehicle throws an exception.

Request

Path Parameters

    vehicleId stringrequired

Responses

List of mileage check-in objects for the vehicle.

Schema

  • Array [

  • id string

    Id of the checkin

    license string

    License plate number

    adminNote string

    Admin generated note. Usually used for on-hold or declined check-ins

    checkedInAt string

    Check-in date

    checkInStatus string

    Possible values: [Confirmed, Declined, OnHold, Pending]

    Status of the check-in

    mileage int32

    Mileage at time of check-in

    nextCheckInDate string

    A indicative time for the next check-in. If the check-ins are allowed at a specific cadence this value will carry the next recommended check-in date. When more complex rules are allowed this field should not be used.

    updated string

    Last updated on

    licensePhotos

    object[]

    The photo of the license plate

  • Array [

  • photoUrl string

    URL of the photo

    latitude double

    Latitude at which photo was taken

    longitude double

    Longitude at which photo was taken

  • ]

  • odometerPhotos

    object[]

    The photo of the odometer

  • Array [

  • photoUrl string

    URL of the photo

    latitude double

    Latitude at which photo was taken

    longitude double

    Longitude at which photo was taken

  • ]

  • fraud boolean
  • ]

Loading...